//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import magpie
import magpie.Components as Components

Item {
    signal add

    ColumnLayout {
        id: column
        anchors.fill: parent

        Label {
            id: label
            text: "This is Assets screen"
            font {
                pixelSize: 24
                bold: true
            }
        }

        ListView {
            id: listView
            Layout.fillHeight: true
            Layout.fillWidth: true
            model: Magpie.assets
            spacing: 5
            delegate: Components.AssetLine {
                height: 20
                width: listView.width
            }
        }
    }

    Button {
        anchors {
            bottom: parent.bottom
            right: parent.right
            bottomMargin: 20
            rightMargin: 20
        }
        onClicked: add()

        width: 50
        height: 50
        icon {
            name: "list-add"
            height: 50
            width: 50
        }
    }
}
